<?php
/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 * http://www.shopmodule.com
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @link          http://www.oxidmodule.com
 */

/**
 * Metadata version
 */
$sMetadataVersion = '1.1';

/**
 * Module information
 */
$aModule = array(
    'id'             => 'd3transferform',
    'title'          => (class_exists('d3utils') ? d3utils::getInstance()->getD3Logo() : 'D&sup3;') //
        . ' Vorkasseassistent',
    'description'    => array(
        'de' => 'Nach Abschluss einer Vorkasse-Bestellung wird ein ' //
            . 'vorausgef&uuml;lltes &Uuml;berweisungsformular generiert. ' //
            . 'Au&szligerdem k&ouml;nnen Sie im Shopadmin Ihre s&auml;umigen Vorkasse-Kunden ' //
            . 'an noch offene Zahlungen erinnern.<br><br>' //
            . 'Mit dem Modul werden zus&auml;tzlich 3 CMS-Seiten ausgeliefert, mit den Idents:<br>' //
            . '- d3zahlungserinnerungsubject<br>' //
            . '- d3zahlungserinnerung<br>' //
            . '- d3zahlungserinnerungplain<br>',
        'en' => '',
    ),
    'thumbnail'      => 'picture.png',
    'version'        => '3.1.2.2',
    'author'         => 'D&sup3; Data Development (Inh.: Thomas Dartsch)',
    'email'          => 'support@shopmodule.com',
    'url'            => 'http://www.oxidmodule.com/',
    'files'          => array(
        // Admin
        'd3_cfg_transferform'                        => 'd3/d3transferform/application/controllers/admin/d3_cfg_transferform.php',
        'd3_cfg_transferform_licence'                => 'd3/d3transferform/application/controllers/admin/d3_cfg_transferform_licence.php',
        'd3_cfg_transferform_list'                   => 'd3/d3transferform/application/controllers/admin/d3_cfg_transferform_list.php',
        'd3_cfg_transferform_main'                   => 'd3/d3transferform/application/controllers/admin/d3_cfg_transferform_main.php',
        // Handler für Modul-Settings
        'd3_transferform_application_models_handler' => 'd3/d3transferform/application/models/handler.php',
        // Install + Updateanweisungen
        'd3_transferform_update'                     => 'd3/d3transferform/setup/d3_transferform_update.php',
        'ueberweisung'                               => 'd3/d3transferform/public/ueberweisung.php',
    ),
    'templates'      => array(
        // Konfiguration im Admin
        'd3_cfg_transferform_main.tpl'   => 'd3/d3transferform/views/admin/tpl/d3_cfg_transferform_main.tpl',
        // E-Mail - Templates
        'd3_email_payremind_html.tpl'    => 'd3/d3transferform/views/admin/tpl/d3_email_payremind_html.tpl',
        'd3_email_payremind_plain.tpl'   => 'd3/d3transferform/views/admin/tpl/d3_email_payremind_plain.tpl',
        'd3_email_payremind_subject.tpl' => 'd3/d3transferform/views/admin/tpl/d3_email_payremind_subject.tpl',
        'd3_payremind_picture.tpl'       => 'd3/d3transferform/views/admin/tpl/d3_payremind_picture.tpl',
    ),
    'events'         => array(
        'onActivate' => 'd3install::checkUpdateStart',
    ),
    'extend'         => array(
        'oxemail'        => 'd3/d3transferform/modules/core/d3_oxemail_payremind',
        'order_overview' => 'd3/d3transferform/modules/controllers/admin/d3_order_overview_payremind',
    ),
    'blocks'         => array(
        array(
            'template' => 'email/html/order_cust.tpl',
            'block'    => 'email_html_order_cust_paymentinfo',
            'file'     => 'views/blocks/d3transferform_picture.tpl'
        ),
        array(
            'template' => 'page/checkout/thankyou.tpl',
            'block'    => 'checkout_thankyou_info',
            'file'     => 'views/blocks/d3transferform_picture.tpl'
        ),
        array(
            'template' => 'order_overview.tpl',
            'block'    => 'admin_order_overview_export',
            'file'     => 'views/admin/blocks/d3_order_overview_sendPayremind.tpl'
        ),
    ),
    'd3FileRegister' => array(
        // copy_this
        'd3/d3transferform/metadata.php',
        'd3/d3transferform/IntelliSenseHelper.php',
        'd3/d3transferform/picture.png',
        'd3/d3transferform/modules/controllers/admin/d3_order_overview_payremind.php',
        'd3/d3transferform/modules/core/d3_oxemail_payremind.php',
        'd3/d3transferform/out/img/ueberweisung_noneu.jpg',
        'd3/d3transferform/out/img/ueberweisung_sepa.jpg',
        'd3/d3transferform/out/.htaccess',
        'd3/d3transferform/public/.htaccess',
        'd3/d3transferform/public/MonospaceTypewriter.ttf',
        'd3/d3transferform/public/ueberweisung.php',
        'd3/d3transferform/setup/d3_transferform_update.php',
        'd3/d3transferform/views/admin/blocks/d3_order_overview_sendPayremind.tpl',
        'd3/d3transferform/translations/de/d3_payremind_lang.php',
        'd3/d3transferform/translations/en/d3_payremind_lang.php',
        'd3/d3transferform/application/translations/de/d3_payremind_lang.php',
        'd3/d3transferform/application/translations/en/d3_payremind_lang.php',
        'd3/d3transferform/views/admin/de/d3_payremind_lang.php',
        'd3/d3transferform/views/admin/en/d3_payremind_lang.php',
        'd3/d3transferform/application/views/admin/de/d3_payremind_lang.php',
        'd3/d3transferform/application/views/admin/en/d3_payremind_lang.php',
        'd3/d3transferform/views/admin/tpl/d3_payremind_picture.tpl',
        'd3/d3transferform/views/blocks/d3transferform_picture.tpl',
        'd3/d3transferform/views/admin/tpl/d3_email_payremind_html.tpl',
        'd3/d3transferform/views/admin/tpl/d3_email_payremind_plain.tpl',
        'd3/d3transferform/views/admin/tpl/d3_email_payremind_subject.tpl',
    ),
);
